<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FC3D9=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FC3D8=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FC3C9=FF</action>
      <action>maincpu.pb@FC3CA=FF</action> <!-- Flicker Off -->
    </script>
  </cheat>

  <cheat desc="Infinite Missiles PL1">
    <script state="run">
      <action>maincpu.pb@FC269=90</action>
    </script>
  </cheat>

  <cheat desc="Select Missiles PL1">
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Power-Up</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FC26F=00</action>
      <action condition="(param==01)">maincpu.pb@FC3DB=00</action>
      <action condition="(param==02)">maincpu.pb@FC26F=FF</action>
      <action condition="(param==02)">maincpu.pb@FC3DB=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FC3F9=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FC3F8=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FC3E9=FF</action>
      <action>maincpu.pb@FC3EA=FF</action> <!-- Flicker Off -->
    </script>
  </cheat>

  <cheat desc="Infinite Missiles PL2">
    <script state="run">
      <action>maincpu.pb@FC2A9=90</action>
    </script>
  </cheat>

  <cheat desc="Select Missiles PL2">
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Power-Up</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@FC2AF=00</action>
      <action condition="(param==01)">maincpu.pb@FC3FB=00</action>
      <action condition="(param==02)">maincpu.pb@FC2AF=FF</action>
      <action condition="(param==02)">maincpu.pb@FC3FB=FF</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
